# Generated by rust2rpm
%bcond_without check
%global debug_package %{nil}

%global crate nix

Name:           rust-%{crate}
Version:        0.11.0
Release:        4%{?dist}
Summary:        Rust friendly bindings to *nix APIs

License:        MIT
URL:            https://crates.io/crates/nix
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * No dragonfly/freebsd
# * Bump tempfile to 3, https://github.com/nix-rust/nix/pull/900
# * Exclude CI files, https://github.com/nix-rust/nix/pull/962
Patch0:         nix-fix-metadata.diff
# Make it work with new tempdir
Patch0001:      0001-deps-update-tempfile-to-3.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(bitflags/default) >= 1.0.0 with crate(bitflags/default) < 2.0.0)
BuildRequires:  (crate(cfg-if/default) >= 0.1.0 with crate(cfg-if/default) < 0.2.0)
BuildRequires:  (crate(libc/default) >= 0.2.42 with crate(libc/default) < 0.3.0)
BuildRequires:  (crate(void/default) >= 1.0.2 with crate(void/default) < 2.0.0)
%if %{with check}
BuildRequires:  (crate(bytes/default) >= 0.4.8 with crate(bytes/default) < 0.5.0)
BuildRequires:  (crate(lazy_static/default) >= 1.0.0 with crate(lazy_static/default) < 2.0.0)
BuildRequires:  (crate(rand/default) >= 0.4.0 with crate(rand/default) < 0.5.0)
BuildRequires:  (crate(tempfile/default) >= 3.0.0 with crate(tempfile/default) < 4.0.0)
%endif

%global _description \
Rust friendly bindings to *nix APIs.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE
%doc CHANGELOG.md CONTRIBUTING.md CONVENTIONS.md README.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# Testing parts are not distributed
%cargo_test -- --doc
%endif

%changelog
* Fri Nov 02 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.11.0-4
- Exclude CI files in a different way

* Mon Oct 29 2018 Josh Stone <jistone@redhat.com> - 0.11.0-3
- Adapt to new packaging

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.11.0-2
- Rebuild to trigger tests

* Tue Jul 17 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.11.0-1
- Update to 0.11.0

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 23 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.0-4
- Adopt to new macro

* Fri May 11 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.0-3
- Bump tempfile to 3

* Thu Mar 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.0-2
- Re-apply statvfs patch

* Thu Mar 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.0-1
- Update to 0.10.0

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.0-4
- Rebuild for rust-packaging v5

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.0-3
- Implement statfs/statvfs on altarches

* Mon Jan 01 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.0-2
- Bump rand to 0.4

* Sun Dec 03 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.0-1
- Initial package
